Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class ProjectDependency

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
          org.gradle.plugins.ide.eclipse.model.ProjectDependency

    class ProjectDependency
    extends AbstractClasspathEntry

Field Summary

Fields inherited from class AbstractClasspathEntry
COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE

Property Summary
`String` | `declaredConfigurationName`
`String` | `gradlePath`

Constructor Summary
`ProjectDependency(Node node)`
`ProjectDependency(String path, String gradlePath)`

Method Summary
`String` | `getKind()`
`String` | `toString()`

Methods inherited from class AbstractClasspathEntry
addClasspathEntry, appendNode, equals, getNativeLibraryLocation, hashCode, normalizePath, setNativeLibraryLocation, toString, writeEntryAttributes

Property Detail

### declaredConfigurationName

    String declaredConfigurationName

### gradlePath

    String gradlePath

Constructor Detail

### ProjectDependency

    ProjectDependency(Node node)

### ProjectDependency

    ProjectDependency(String path, String gradlePath)

Method Detail

### getKind

    String getKind()

### toString

    String toString()

Gradle API 1.10